---
title: About Cosma
id: 20210901132721
type: documentation
---

[[20210901131627]] Cosma is a document graph visualization tool. It modelizes interlinked Markdown files and renders them as an interactive network in a web interface.

## A unique tool

Among tools for thought, Cosma stands out on **three key aspects**:

First, **Cosma is not a note-taking app**. It is designed to work in conjunction with these programs. This is inspired by software such as [Deckset](https://www.deckset.com), which applies this principle to presentations (write in your favorite editor, visualize elsewhere).

Secondly, **Cosma is based on interoperable, open and standardised writing conventions**. This allows you to use other tools that share these standards (such as [Zettlr](https://www.zettlr.com)) and to switch tools more freely. Overall, it increases the durability of your data.

Finally, **Cosma allows you to simultaneously share your data and the tools to explore it**. What does this mean? Most visualization tools are packed with great functionality, but they only export static images, or structured data that requires software to make any use of. Cosma reverses this logic: what you see in the main window is actually a standalone HTML file, meaning you can share it and thus transmit not just your data, but a fully interactive representation of it.

These three aspects make Cosma a unique proposition among tools for thought.

## A high degree of user control

**Cosma works with a directory of text-based files, and only reads them**. Installing, using and uninstalling the app does not alter your files, nor does it interfere with your existing practices for storage, editing and version control.

**Many interface elements are customizable**, from the graph layout to the color of nodes and pattern of links. Interesting views can be saved as shortcuts. Users proficient with CSS can use a custom stylesheet.

**You can add semantic metadata to records and links through simple writing conventions**. This is done through generic mechanisms, meaning you are free to invent and use any categories to describe your data.

**Cosma is free software**. The code is public, its development is documented, it is accessible and reusable for free under the GNU GPL license. Our work can thus be evaluated, archived and continued by others.

## A research experiment

Cosma was imagined by Arthur Perret as part of his PhD research under the direction of Olivier Le Deuff. This means the project's DNA is very much experimental, and that its use is subject to caution.

However, we also want to popularize plain text-based research and its possibilities to a wider audience of knowledge workers. This means we have tried to design Cosma as a relatively polished and accessible tool.

Currently, there is no dedicated funding to this project. But Cosma is already in use in a few research projects and graduate programs. This encourages us to keep developing it, and to work on securing more funding in the coming years.

## Citing Cosma

> Arthur Perret, Guillaume Brioudes, Clément Borel, & Olivier Le Deuff. (2021). Cosma. Zenodo. <https://doi.org/10.5281/zenodo.5920615>
